// pages/payment-records-detail/payment-records-detail.js
import { getPaymentDetailApiImpl } from '../../service/impl/hwPaymentDetail.impl'
Page({

  /**
   * 页面的初始数据
   */
  data: {

  },
  /**
   * 获取支付详情列表
   * @paymentDetailId 详情ID
   */
  getDetail(paymentDetailId: number) {
    getPaymentDetailApiImpl({
      paymentDetailId
    }).then(res => {
      if (res.errCode === 0) {
        this.setData(res.data.hwPaymentDetail)
      }
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options: any) {
    if (options.id) {
      // 获取支付详情列表
      this.getDetail(options.id)
    }
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  }
})